Package org.kapott.hbci.manager

## Class HBCIKernelFactory

- java.lang.Object
- - org.kapott.hbci.manager.HBCIKernelFactory

    public class HBCIKernelFactory
    extends java.lang.Object

Factory-Klasse für das Erzeugen von HBCI-Kernel-Objekten

### Constructor Summary

Constructors
`HBCIKernelFactory()`

### Method Summary

All Methods Static Methods Concrete Methods
`static HBCIKernel` `getKernel​(IHandlerData parentHandlerData, java.lang.String hbciversion)` Neues HBCI-Kernel-Objekt erzeugen.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HBCIKernelFactory

    public HBCIKernelFactory()

### Method Detail

#### getKernel

    public static HBCIKernel getKernel​(IHandlerData parentHandlerData,
                                       java.lang.String hbciversion)

Neues HBCI-Kernel-Objekt erzeugen.

Parameters:
  `hbciversion` - `HBCI-Versionsnummer`, für die ein Kernel-Objekt erzeugt werden soll